Create Annotation
Available for: Chatflow, Chatbot, Agent apps.
Creates a new annotation. Annotations provide predefined question-answer pairs that the app can match and return directly instead of generating a response.
curl --request POST \
--url https://{api_base_url}/apps/annotations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"question": "What is Dify?",
"answer": "Dify is an open-source LLM application development platform."
}
'import requests
url = "https://{api_base_url}/apps/annotations"
payload = {
"question": "What is Dify?",
"answer": "Dify is an open-source LLM application development platform."
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
question: 'What is Dify?',
answer: 'Dify is an open-source LLM application development platform.'
})
};
fetch('https://{api_base_url}/apps/annotations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "a1b2c3d4-5678-90ab-cdef-1234567890ab",
"question": "What is Dify?",
"answer": "Dify is an open-source LLM application development platform.",
"hit_count": 0,
"created_at": 1705407629
}Authorizations
API Key authentication. For all API requests, include your API Key in the Authorization HTTP Header, prefixed with Bearer. Example: Authorization: Bearer {API_KEY}. Strongly recommend storing your API Key on the server-side, not shared or stored on the client-side, to avoid possible API-Key leakage that can lead to serious consequences. Requests with a missing or invalid API key fail with HTTP 401 and error code unauthorized.
Body
Response
Annotation created successfully.
Unique annotation identifier.
Question text that triggers this annotation.
Predefined answer returned when the annotation is matched.
Number of times this annotation has been matched and returned as a reply.
Creation timestamp (Unix epoch seconds).
Was this page helpful?
